Description

It would be nice if the MCP command cancel_maintained could take extra optional arguements of additional abilities to cancel. If you

could get the first arguement to be who should do the cancel, that would be nice too.

ex -Cancel_Maintained fury "Nature of Storms" "Nature's Ferocity" "Energy Vortex"

History

#1 - 2016-08-11 01:55 PM - ClassicCoke

| would mark this as "Low" priority, but it doesn't want to let me edit that field.

#2 - 2016-08-15 04:19 PM - Kannkor

- Status changed from New to In Progress
OgreBot v17.105
** Added: CancelMaintainedForWho

*** Parameter 1: ForWho
*** Parameter 2: Ability Name to cancel

| can't change the current one, or it would break every single MCP/API command out there that used it.

#3 - 2016-08-15 06:15 PM - Kannkor

- Status changed from In Progress to Implemented

OgreBot 17.105

** CancelMaintainedForWho and CancelMaintained can now accept unlimited parameters to cancel multiple abilities.

*** Note: CancelMaintainedForWho syntax is: ForWho, Ability1, Ability2, Ability3 (etc). The ForWho will be matched for every ability. For example:

**** Ic -CancelMaintainedForWho fighter "SomeTankBuff Here" "SomePriestBuff here"

**xxx "Eighters" (Tanks) would cancel both of those if they existed, but priests would NOT cancel anything, because the ForWho failed.
